Skip to content

List subscription types

Request

You can list all subscription types. A list of subscription type objects will be returned.

Requires the read_users_companies OAuth scope.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  https://api.intercom.io/subscription_types \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Successful

Bodyapplication/json
typestring

The type of the object

Value:"list"
Example:"list"
dataArray of objects(Subscription Types)

A list of subscription type objects associated with the workspace .

Response
{ "type": "list", "data": [ { … } ] }